runocc.d(1m)

NAME
runocc.d - run queue occupancy by CPU. Uses DTrace.

SYNOPSIS
runocc.d

DESCRIPTION
This prints the dispatcher run queue occupancy by CPU each second. A consistant run queue occupancy is a sign of CPU saturation. The value is similar to that seen in "sar -q", however this is calculated in a more accurate manner - sampling at 1000 Hertz. Since this uses DTrace, only users with root privileges can run this command.

EXAMPLES

Print %runocc by CPU every second,
    # runocc.d

FIELDS

CPU cpu ID

%runocc
    percent run queue occupancy, sampled at 1000 Hertz

SEE ALSO
Solaris Internals 2nd Ed, vol 2, CPU chapter

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
runocc.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)